System.Web 2.0.0.0 System.Configuration.ConfigurationElement

The class provides a way to programmatically access and modify the authorization section of a configuration file.

This type is part of a group that includes the , the , and the types.

The can update the configuration information at any level in the configuration hierarchy.

The class allows you to programmatically access and modify the authorization section of a configuration file. This class cannot be inherited.

- Constructor

  The constructor is not intended to be used directly from your code. It is called by the ASP.NET configuration system.

  Creates a new instance of the class using the passed object.

  The object to use to initialize the new instance.
  2.0.0.0
- Property
  System.Web.Configuration.AuthorizationRuleAction To be added.

  At run time, the authorization module iterates through allow and deny elements until it finds the first access rule that fits a particular user. It then grants or denies access to a URL resource depending on whether the first access rule found is allow or deny. Access is allowed by default.

  Gets or sets the action.

  2.0.0.0
- Method
  System.Boolean `` To be added.

  Determines whether the specified object is equal to the current object.

  true if the objects are equal; otherwise, false.

  The object to compare with the current object. 2.0.0.0
- Method
  System.Int32 To be added.

  Serves as a hash function for this object.

  An integer representing the hash code for the current object.

  2.0.0.0
- Method
  System.Boolean To be added.

  Indicates whether the collection has been modified since it was last saved or loaded.

  true if any contained element has been modified; otherwise, false.

  2.0.0.0
- Method
  System.Void To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Specifies the collection of the properties.

  2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("roles")
  System.ComponentModel.TypeConverter(typeof(System.Configuration.CommaDelimitedStringCollectionConverter))
  System.Collections.Specialized.StringCollection To be added.

  The property is a list of roles that are granted or denied access to the resource. There must be at least one value in either the property collection or the property collection, or both.

  Gets the roles associated with the resource.

  2.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void To be added. To be added. 2.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("users")
  System.ComponentModel.TypeConverter(typeof(System.Configuration.CommaDelimitedStringCollectionConverter))
  System.Collections.Specialized.StringCollection To be added.

  The property is a list of users that are granted or denied access to the resource. There must be at least one value in either the property collection or the property collection, or both.

  Gets the users associated with the resource.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("verbs")
  System.ComponentModel.TypeConverter(typeof(System.Configuration.CommaDelimitedStringCollectionConverter))
  System.Collections.Specialized.StringCollection To be added.

  The property is a comma-separated list of HTTP transmission methods that are granted or denied access to the resource.

  Gets the verbs associated with the resource.

  2.0.0.0